Bug 491048 - FAILED to rebuild php on 64bit arches
FAILED to rebuild php on 64bit arches
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2009-03-19 03:53 EDT by Martin Kočí
Modified: 2010-09-20 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-09-20 06:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log file (61.54 KB, text/x-log)
2009-03-19 03:53 EDT, Martin Kočí
no flags Details

  None (edit)
Description Martin Kočí 2009-03-19 03:53:49 EDT
Created attachment 335805 [details]
log file

Description of problem:
During the building of php mostly on 64bit arches the build failed with the result : 
configure: exit 1
+ make -j2
make: *** No targets specified and no makefile found.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.27307 (%build)
(for further info see attached log files from x86-64-el3

Version-Release number of selected component (if applicable):
RHEL3 - php - 4.3.2-51

How reproducible:

Steps to Reproduce:
1. rebuild php
Actual results:

Expected results:
no errors
Comment 1 Joe Orton 2009-03-19 04:43:24 EDT
Please attach:

1) the output of "rpm -qa" on the machine on which the build failed

2) the config.log produced by configure during the failed build

In RHEL3 it is known that the php build will fail on 64-bit systems if the 32-bit mysql-devel is installed, for example.  That is a WONTFIX.
Comment 4 Martin Kočí 2009-03-20 03:20:39 EDT
Files has been added.
Comment 6 Joe Orton 2010-09-20 06:03:51 EDT
mysql.i386 was present on the system - this is expected to cause the build failure.

Note You need to log in before you can comment on or make changes to this bug.